<div class="dialog-container" (click)="$event.stopPropagation()" (keydown)="$event.stopPropagation()">
    <div class="login-section" *ngIf="formType == 'login'">
        <h6>Enter Mobile Number <span>*</span></h6>
        <div class="login-form">
            <div class="otp-sec">
                <input type="text" class="line-input-field" value="+91 (IN)" readonly>
            </div>
            <div class="mobile-sec">
                <input type="text" class="line-input-field" placeholder="Ex. 9685745263" [(ngModel)]="mobileNo">
            </div>
        </div>
        <div class="buttons">
            <button class="btn-normal" (click)="generateOTP()">Send OTP</button>
            <button class="btn-default">Sign Up</button>
        </div>
    </div>
    <div class="otp-section" *ngIf="formType == 'otp'">
        <h6>Enter OTP</h6>
        <div class="otp-form">
            <div class="input-group">
                <i class="fa fa-pen"></i>
                <input type="text" class="line-input-field" [(ngModel)]="otp">
            </div>
        </div>
        <div class="buttons">
            <button class="btn-normal" (click)="signIn()">Login</button>
            <button class="btn-default">Sign Up</button>
        </div>
    </div>
</div>